Description

It appears that Layer --> Save As --> GPSX eXchange Format (GPX) forces the user to use extensions. Few hand held GPS devices

support extensions, nor is using extensions the preferred method of delivering information via GPX.

The option to turn off extensions is located part way through the extensions panel, and doing so generates an error regarding the 'name'

field. If the source data contains a column entitles 'name' where only unique ID's are found, the error is still given and the GPX not

generated.

Currently the easiest way to get a fully functional GPX is to export a kml and then translate it in to a GPX file in a 3rd party program - the

information contained in a KML and the traditional and widely adopted GPX methodology are essentially the same, so the translation is

reliable. It should be considered that a GPX file should not, by default, have extensions forced on the user. Extensions should be an option

to be enabled, and then broken by the user, not have the traditional method of implementation broken and extensions enforced.

History

#1 - 2015-03-22 02:34 AM - Giovanni Manghi

- Category changed from Processing/QGIS to Vectors

- OS version deleted (x64)

- Operating System deleted (Windows 7)

- Target version deleted (Version 2.8.1)

- Assignee deleted (Victor Olaya)

- Status changed from Open to Feedback

I honestly do not see any big problem here, if users do not want to use the GPX_USE_EXTENSION they just need to change 1 option in the "save as..."

gui. On the other hand I'm pretty sure that "yes" was set as default of this option because in this very same bug tracker we had a lot of tickets about why

exporting to gpx had the result dropping the input vector attributes.

#2 - 2015-03-22 03:26 AM - Jukka Rahkonen

How about the issue with "name" attribute?

...generates an error regarding the 'name' field. If the source data contains a column entitles 'name' where only unique ID's are found, the error is still

given and the GPX not generated.

Perhaps there is a problem with the data type of the "name" in source data? In GPX it seems that "name" e be string 

http://www.topografix.com/GPX/1/1/#type_wptType

<name> xsd:string </name> [0..1] ?
#3 - 2015-03-22 03:52 AM - Giovanni Manghi

Jukka Rahkonen wrote:

How about the issue with "name" attribute?

...generates an error regarding the 'name' field. If the source data contains a column entitles 'name' where only unique ID's are found, the error is

still given and the GPX not generated.

Perhaps there is a problem with the data type of the "name" in source data? In GPX it seems that "name" e be string 

http://www.topografix.com/GPX/1/1/#type_wptType

<name> xsd:string </name> [0..1] ?

when choosing "no" for GPX_USE_EXTENSION I can export with no issues a gpx, regardless of the attribute datatype.

#4 - 2015-03-22 05:58 AM - Jukka Rahkonen

Simon, could you write a step-by-step instructions for reproducing your issue with a a little sample of source data?

#5 - 2015-05-22 05:57 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to worksforme

closing for lack of feedback. Please reopen if necessary.
